/**
 * 
 */
package com.samridhsai.ebulawa.utils;

import org.springframework.web.servlet.LocaleResolver;
import org.springframework.web.servlet.i18n.CookieLocaleResolver;

import javax.servlet.http.HttpServletRequest;
import java.util.Locale;

/**
 * @author kondojis
 *
 */
public class MyCookieLocaleResolver extends CookieLocaleResolver {

	private LocaleResolver nextLocaleResolver;

	public void setNextLocaleResolver(LocaleResolver resolver) {
		this.nextLocaleResolver = resolver;
	}

	@Override
	protected Locale determineDefaultLocale(HttpServletRequest request) {
		return nextLocaleResolver.resolveLocale(request);
	}
}
