<%@ page session="false" %>
<%@ page isELIgnored ="false" %> <%-- wasted one day to add this line for expression language to work  --%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>

<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<title>
		<fmt:message>
			<tiles:insertAttribute name="title"/>
		</fmt:message>
	</title>
</head>
<body>
	<div id="page">
		<div id="header" class="clearfix" align="center">
			<div>
						<a href="<c:url value="/Login"><c:param name="returnToUrl" value="${model.referalUrl}" /></c:url>"> <fmt:message	key="login.linktext" /> </a>
                        <a href="<spring:url value="/j_spring_security_logout"/>"> <fmt:message	key="logout.linktext" /> </a>
                        Site: <a href="?site_preference=normal">Normal</a> | <a href="?site_preference=mobile">Mobile</a>
			</div>
			<div id="branding">
				<img src="<c:url value="/images/logo.gif"/>" />
			</div>
		</div>
		<div id="content" class="clearfix" align="center">
			<div id="main">
				<tiles:insertAttribute name="main" />
			</div>
		</div>
		<div id="footer" class="clearfix" align="center"> 
		<a href="<c:url value="/pages/About"/>"> <fmt:message	key="aboutus.linktext" /> </a>&nbsp;
        <a href="<c:url value="/pages/Contact"/>"> <fmt:message key="contactus.linktext" /> </a>&nbsp;
		<a href="<c:url value="/pages/PrivacyPolicy"/>"> <fmt:message	key="privacypolicy.linktext" /> </a>&nbsp;
		<a href="<c:url value="/pages/Copyright"/>"> <fmt:message	key="copyright.linktext" /> </a>&nbsp;
		<p><fmt:message key="footer.message"/></p>
		</div>
	</div>
</body>
</html>